From f6b7881487989f3a745c96fd4fcf3f426d6a00ef Mon Sep 17 00:00:00 2001
From: Yuri Chornoivan <yurchor@ukr.net>
Date: Thu, 11 Apr 2013 20:51:39 +0300
Subject: [PATCH] Fix various typos

---
 fdisks/fdisk-ask.c     |    2 +-
 fdisks/fdiskdoslabel.c |    4 ++--
 fdisks/fdisksunlabel.c |    2 +-
 libfdisk/src/gpt.c     |    2 +-
 libmount/src/context.c |    2 +-
 misc-utils/lsblk.c     |    2 +-
 sys-utils/mount.8      |    2 +-
 sys-utils/setpriv.c    |    2 +-
 text-utils/more.c      |    2 +-
 9 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/fdisks/fdisk-ask.c b/fdisks/fdisk-ask.c
index 9d2f87a..7495d85 100644
--- a/fdisks/fdisk-ask.c
+++ b/fdisks/fdisk-ask.c
@@ -207,7 +207,7 @@ int ask_callback(struct fdisk_context *cxt, struct fdisk_ask *ask,
 		DBG(ASK, dbgprint("yes-no ask: reply '%s' [rc=%d]", buf, rc));
 		break;
 	default:
-		warnx(_("internal error: unssuported dialog type %d"), fdisk_ask_get_type(ask));
+		warnx(_("internal error: unsupported dialog type %d"), fdisk_ask_get_type(ask));
 		return -EINVAL;
 	}
 	return rc;
diff --git a/fdisks/fdiskdoslabel.c b/fdisks/fdiskdoslabel.c
index fe04ac7..66e3bdc 100644
--- a/fdisks/fdiskdoslabel.c
+++ b/fdisks/fdiskdoslabel.c
@@ -1096,8 +1096,8 @@ static int dos_set_parttype(
 
 	if (is_dos_partition(t->type) || is_dos_partition(p->sys_ind))
 	    printf(
-		_("\nWARNING: If you have created or modified any DOS 6.x"
-		"partitions, please see the fdisk manual page for additional"
+		_("\nWARNING: If you have created or modified any DOS 6.x "
+		"partitions, please see the fdisk manual page for additional "
 		"information.\n\n"));
 
 	p->sys_ind = t->type;
diff --git a/fdisks/fdisksunlabel.c b/fdisks/fdisksunlabel.c
index 2226f4c..97819af 100644
--- a/fdisks/fdisksunlabel.c
+++ b/fdisks/fdisksunlabel.c
@@ -136,7 +136,7 @@ static int sun_probe_label(struct fdisk_context *cxt)
 		csum ^= *ush--;
 
 	if (csum) {
-		fdisk_warnx(cxt, _("Detected sun disklabel with wrong checsum.\n"
+		fdisk_warnx(cxt, _("Detected sun disklabel with wrong checksum.\n"
 			      "Probably you'll have to set all the values,\n"
 			      "e.g. heads, sectors, cylinders and partitions\n"
 			      "or force a fresh label (s command in main menu)"));
diff --git a/libfdisk/src/gpt.c b/libfdisk/src/gpt.c
index 75e1e14..442b41d 100644
--- a/libfdisk/src/gpt.c
+++ b/libfdisk/src/gpt.c
@@ -168,7 +168,7 @@ static struct fdisk_parttype gpt_parttypes[] =
 	DEF_GUID("EBD0A0A2-B9E5-4433-87C0-68B6B72699C7", N_("Microsoft basic data")),
 	DEF_GUID("5808C8AA-7E8F-42E0-85D2-E1E90434CFB3", N_("Microsoft LDM metadata")),
 	DEF_GUID("AF9B60A0-1431-4F62-BC68-3311714A69AD", N_("Microsoft LDM data")),
-	DEF_GUID("DE94BBA4-06D1-4D40-A16A-BFD50179D6AC", N_("Windows recovery evironmnet")),
+	DEF_GUID("DE94BBA4-06D1-4D40-A16A-BFD50179D6AC", N_("Windows recovery evironment")),
 	DEF_GUID("37AFFC90-EF7D-4E96-91C3-2D7AE055B174", N_("IBM General Parallel Fs")),
 
 	/* HP-UX */
diff --git a/libmount/src/context.c b/libmount/src/context.c
index 614d3f3..7f92402 100644
--- a/libmount/src/context.c
+++ b/libmount/src/context.c
@@ -842,7 +842,7 @@ int mnt_context_set_options_pattern(struct libmnt_context *cxt, const char *patt
  * @cxt: mount context
  * @tb: fstab
  *
- * The mount context reads /etc/fstab to the the private struct libmnt_table by default.
+ * The mount context reads /etc/fstab to the private struct libmnt_table by default.
  * This function allows to overwrite the private fstab with an external
  * instance. Note that the external instance is not deallocated by mnt_free_context().
  *
diff --git a/misc-utils/lsblk.c b/misc-utils/lsblk.c
index 41f772a..8845e2e 100644
--- a/misc-utils/lsblk.c
+++ b/misc-utils/lsblk.c
@@ -1363,7 +1363,7 @@ static void __attribute__((__noreturn__)) help(FILE *out)
 	fputs(_(" -l, --list           use list format output\n"), out);
 	fputs(_(" -n, --noheadings     don't print headings\n"), out);
 	fputs(_(" -o, --output <list>  output columns\n"), out);
-	fputs(_(" -p, --paths          print complate device path\n"), out);
+	fputs(_(" -p, --paths          print complete device path\n"), out);
 	fputs(_(" -P, --pairs          use key=\"value\" output format\n"), out);
 	fputs(_(" -r, --raw            use raw output format\n"), out);
 	fputs(_(" -s, --inverse        inverse dependencies\n"), out);
diff --git a/sys-utils/mount.8 b/sys-utils/mount.8
index 626d861..078b6ed 100644
--- a/sys-utils/mount.8
+++ b/sys-utils/mount.8
@@ -719,7 +719,7 @@ and
 support filesystem subtypes.  The subtype is defined by '.subtype' suffix.  For
 example  'fuse.sshfs'. It's recommended to use subtype notation rather than add
 any prefix to the mount source (for example 'sshfs#example.com' is
-depreacated).
+deprecated).
 
 For most types all the
 .B mount
diff --git a/sys-utils/setpriv.c b/sys-utils/setpriv.c
index a547fd7..9db3b9d 100644
--- a/sys-utils/setpriv.c
+++ b/sys-utils/setpriv.c
@@ -793,7 +793,7 @@ int main(int argc, char **argv)
 
 	if (opts.have_securebits)
 		if (prctl(PR_SET_SECUREBITS, opts.securebits, 0, 0, 0) != 0)
-			err(SETPRIV_EXIT_PRIVERR, _("set procecess securebits failed"));
+			err(SETPRIV_EXIT_PRIVERR, _("set process securebits failed"));
 
 	if (opts.bounding_set) {
 		do_caps(CAPNG_BOUNDING_SET, opts.bounding_set);
diff --git a/text-utils/more.c b/text-utils/more.c
index 496b116..66de2bf 100644
--- a/text-utils/more.c
+++ b/text-utils/more.c
@@ -1774,7 +1774,7 @@ void initterm(void)
 		{
 			int tgrp;
 			/* Wait until we're in the foreground before we
-			 * save the the terminal modes. */
+			 * save the terminal modes. */
 			if ((tgrp = tcgetpgrp(fileno(stdout))) < 0) {
 				perror("tcgetpgrp");
 				exit(EXIT_FAILURE);
-- 
1.7.10

